# QGraphicsSceneDragDropEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QGraphicsSceneEvent.

### Constructor

- void QGraphicsSceneDragDropEvent(Type type)

### Constructor Properties

- prototype: The QGraphicsSceneDragDropEvent prototype object

### Prototype Object Properties

The QGraphicsSceneDragDropEvent prototype object inherits properties from the QGraphicsSceneEvent prototype object and also has the following properties.

- void acceptProposedAction()
- MouseButtons buttons()
- DropAction dropAction()
- QMimeData mimeData()
- KeyboardModifiers modifiers()
- QPointF pos()
- DropActions possibleActions()
- DropAction proposedAction()
- QPointF scenePos()
- QPoint screenPos()
- void setButtons(MouseButtons buttons)
- void setDropAction(DropAction action)
- void setModifiers(KeyboardModifiers modifiers)
- void setPos(QPointF pos)
- void setPossibleActions(DropActions actions)
- void setProposedAction(DropAction action)
- void setScenePos(QPointF pos)
- void setScreenPos(QPoint pos)
- QWidget source()

### Instance Properties

QGraphicsSceneDragDropEvent objects have no special properties beyond those inherited from the QGraphicsSceneDragDropEvent prototype object.